AFM2AFM(1)

NAME
afm2afm - reencode an afm file

SYNOPSIS
afm2afm -e encoding [-o output] afmfile

DESCRIPTION
This program reencodes an afm file. It's mainly intended to be used with afm files that were extracted from TrueType or OpenType fonts, since these are often too big to be handled with tools like fontinst (Adobe's CaflischScriptPro-Regular font, for example, contains 1289 glyphs and 278678 kerning pairs, leading to an afm file of nearly 9MB).

Glyphs that are absent from the chosen encoding aren't written to the output, which yields much smaller output files.

The program also generates an entry for a dvips-style map file.

OPTIONS
Option names were chosen to match those of ttf2afm. Reencode using the encoding given in file encoding. Write the reencoded afm to file output instead of "stdout". The mapfile entry will still be written to "stdout".

FILES
All input files are searched using kpsewhich or findtexmf when these commands are available; otherwise only the current working directory is searched.

SEE ALSO
autoinst, cmap2enc, font2afm, ot2kpx, pfm2kpx.

AUTHOR
Marc Penninga <marc@penninga.info>

HISTORY
First version Added printing of mapfile entry Rewrote some of the code Input files searched via kpsewhich (where available) Input files searched using kpsewhich or findtexmf (if available) Updated creation of mapfile entry; look for font file to deduce the correct font file format (pfb, pfa, ttf). If no font file is found, pfb is assumed. Program quits if the specified output file exists Improved the documentation Some updates to the documentation A few minor changes to the code